
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef LOCODEMO_SCAN_H
#define LOCODEMO_SCAN_H

#include "genom/printScan.h"

/* Structures definies par d'autres modules */

#include "server/genPosScan.h"

#include "server/pomScan.h"


/* Structures du module */
#include "locoDemoPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
extern int scan_struct_LOCODEMO_REF_POSTER_STR ( FILE *in, FILE *out,
       struct LOCODEMO_REF_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_LOCODEMO_ODO_POSTER_STR ( FILE *in, FILE *out,
       struct LOCODEMO_ODO_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_LOCODEMO_MEPOS_POSTER_STR ( FILE *in, FILE *out,
       struct LOCODEMO_MEPOS_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_LOCODEMO_STR ( FILE *in, FILE *out,
       struct LOCODEMO_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_SURV_LINE_STR ( FILE *in, FILE *out,
       struct SURV_LINE_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_CMD_PARAM_STR ( FILE *in, FILE *out,
       struct CMD_PARAM_STR *x, int indent, int nDim, int *dims );
extern int scan_enum_LOCODEMO_MODE ( FILE *in, FILE *out,
       enum LOCODEMO_MODE *x, int indent, int nDim, int *dims );

/* ======================== SCAN DES TYPEDEF ============================= */

extern int scan_LOCODEMO_MODE ( FILE *in, FILE *out,
       LOCODEMO_MODE *x, int indent, int nDim, int *dims );
extern int scan_CMD_PARAM_STR ( FILE *in, FILE *out,
       CMD_PARAM_STR *x, int indent, int nDim, int *dims );
extern int scan_SURV_LINE_STR ( FILE *in, FILE *out,
       SURV_LINE_STR *x, int indent, int nDim, int *dims );
extern int scan_LOCODEMO_STR ( FILE *in, FILE *out,
       LOCODEMO_STR *x, int indent, int nDim, int *dims );
extern int scan_LOCODEMO_MEPOS_POSTER_STR ( FILE *in, FILE *out,
       LOCODEMO_MEPOS_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_LOCODEMO_ODO_POSTER_STR ( FILE *in, FILE *out,
       LOCODEMO_ODO_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_LOCODEMO_REF_POSTER_STR ( FILE *in, FILE *out,
       LOCODEMO_REF_POSTER_STR *x, int indent, int nDim, int *dims );
#ifdef __cplusplus
}
#endif

#endif /* LOCODEMO_SCAN_H */

